import pygame, os

from pykitten import utils
from pykitten.gui import *
from pykitten.data import *
from pykitten.engine import *

from startmenu import *

def main():
    os.environ['SDL_VIDEO_CENTERED'] = '1'
    try:  #parse .conf file
        f = open("game.conf", "r")
        for line in f:
            info = line.strip().split("=")
            if info[0]=="fullscreen":
                fullscreen = int(info[1])
    except:
        print "Could not open game.conf"
        fullscreen = 0

    pygame.mixer.init(44100,-16,2,1536)
    
    if not fullscreen:
        pygame.display.set_mode(RES)
    else:
        pygame.display.set_mode(RES, FULLSCREEN)

    pygame.display.set_caption("Rise of Featherations")
    load_res()
    load_fonts()
    e = Engine()
    #e.current_state = Game()
    #e.current_state = StartMenu()
    e.current_state = Logo()
    e.run()
